
### General template for a pymol script
### Run this script and study the output images before you modify it
### By Dr. Williams, Chen 4511/6501

#----do not edit between the dashed lines----------VVVV-----------------------------

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
set dot_density, 5
set sphere_quality, 3
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for desktop.
config_mouse three_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
#----do not edit between the dashed lines----------^^^^-----------------------------

### EDIT the fetch line (change 6N6Y to your pdb entry)
### this will create object protein1 with your protein(s)
fetch 5J7Y, protein1

create protein2, protein1

### DO NOT EDIT
### show protein1 as a ribbon diagram and color it
### by secondary structure
hide everything, protein1
show cartoon, protein1
set cartoon_cylindrical_helices, 1


color yellow, protein1

color forest, protein1 and chain B+C+D+H+I+M
color purple, protein1 and chain A+J+K+L+N
color red, protein1 and chain E+F+G
color hotpink, protein1 and chain AA+AL+AB+AM+AC+AN+AD+AO+AE+AP+AI+AT
color marine, protein1 and chain BN+BO+BC


### DO NOT EDIT
### show protein2 as sticks and color it
### by atom type
hide everything, protein2
show sticks, protein2
color red, name O* and protein2
color wheat, name C* and protein2
color blue, name N* and protein2
color yellow, name P* and protein2
color yellow, name S* and protein2


create heme, resn hea
create PPOR, resn hem
create Fe4S4, resn SF4
create Fe2S2, resn FES
create CuCu, resn CUA
create Cu, resn CU


hide everything, heme or PPOR or Fe4S4 or Fe2S2 or Cu*
show sticks, heme or PPOR or Fe4S4 or Fe2S2
show spheres, Cu*
color red, name O* and heme or PPOR or Fe4S4 or Fe2S2 or Cu*
color wheat, name C* and heme or PPOR or Fe4S4 or Fe2S2 or Cu*
color blue, name N* and heme or PPOR or Fe4S4 or Fe2S2 or Cu*
color yellow, name P* and heme or PPOR or Fe4S4 or Fe2S2 or Cu*
color yellow, name S* and heme or PPOR or Fe4S4 or Fe2S2 or Cu*


set_view (\
     0.946462333,   -0.009821548,   -0.322627813,\
     0.242561698,   -0.637804866,    0.730992794,\
    -0.212943211,   -0.770125747,   -0.601283312,\
     0.000000000,   -0.000000000, -982.579772949,\
   419.311431885,  433.089477539,  429.006652832,\
   786.142700195, 1179.017456055,  -20.000000000 )
   
disable all
enable protein1 

hide everything, protein1

show cartoon, protein1 
#ray 2000,2000
#save image_cartoon1.png

hide everything, protein1
#show spheres, protein1
#ray 2000,2000
#save image_sphere1.png

#hide everything, protein1
#show surface, protein1
#ray 2000,2000
#save image_surface1.png

#hide everything, protein1
show dots, protein1
#ray 2000,2000
#save image_dots1.png

pwd
ls *.png

   
   
